<?php 
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php');
$pen_id=$_POST['pen_id'];
$forma_pago=$_POST['forma_pago'];
$valor=$_POST['valor'];

if($forma_pago=='efectivo')
{
    $medio_pago='Efectivo';
}
if($forma_pago=='transferencia')
{
    $medio_pago=$_POST['medio_pago'];
} 
if($forma_pago=='tarjeta')
{
   $medio_pago=$_POST['medio_pago'];

}

$neto=0;
$descuentof=0;
$sumador_total=0;
$sql=mysqli_query($con, "SELECT * from pedido_detalle where pedido_pen_id='$pen_id' and pend_estado='facturado'");
while ($row=mysqli_fetch_array($sql))
{
    $pend_id=$row["pend_id"];
    $vent_cantidad=$row['pend_cantidad'];
    $vent_precio=$row['pend_precio'];
    $vent_descuento=$row['pend_descuento'];

    $total_sab=0;
    $suma_sab=0;
    $sql1=mysqli_query($con, "SELECT * FROM sabores_pedido_temp where pend_id='$pend_id' ");
    while ($sab=mysqli_fetch_array($sql1))
    {
        $sab_precio=$sab["precio"]*$sab['cantidad']*$vent_cantidad;
        $suma_sab+=$sab_precio;
    }

    $total_sab=$suma_sab;

    $vent_precio_total=$vent_precio*$vent_cantidad+$total_sab;
    $descuento=($vent_descuento/100)*$vent_precio_total;
    $precio_descuento_t=$vent_precio_total-$descuento;
    $neto+=$vent_precio_total;
    $descuentof+=$descuento;
    $sumador_total=$neto-$descuentof;
}


$descuento_combo_total=0;
$neto_combo=0;
$sumador_combo=0;
$sql2=mysqli_query($con, "SELECT * from pedido_detalle_combo where pedido_pen_id='$pen_id' and pend_estado='facturado'");
while ($row2=mysqli_fetch_array($sql2))
{
    $pedcom_cantidad=$row2['pedcom_cantidad'];
    $pend_desc=$row2['pend_desc'];
    $pedcom_precio=$row2['pedcom_precio'];
    $precio_total=$pedcom_cantidad*$pedcom_precio;
    $descuento_combo_total+=($pend_desc/100)*$precio_total;
    $neto_combo+=$precio_total;
    $sumador_combo=$neto_combo-$descuento_combo_total;
}

$can=mysqli_query($con,"SELECT MAX(ped_abo_id) as ped_abo_id  FROM pedido_abono_temp") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$ped_abo_id=$dato['ped_abo_id']+1;

/*$sql2=mysqli_query($con, "SELECT * from pedido_abono_temp where pedido_pen_id='$pen_id' and empresa='$empresa' ");
$sql2=mysqli_fetch_array($sql2);
$ped_abono=$sql2['ped_abono'];

$suma_abono=$ped_abono+$valor;*/
$suma_pedido=$sumador_total+$sumador_combo;

$tarjer=mysqli_query($con,"SELECT *, sum(ped_abono) as total_suma from pedido_abono_temp where pedido_pen_id='$pen_id' ");
$tarjer=mysqli_fetch_array($tarjer);
$total_suma=$tarjer['total_suma'];

$resta_abonos=$suma_pedido-$total_suma;


if ($total_suma==$suma_pedido) {
     echo '<div class="alert alert-warning alert-dismissable">
    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
    <strong>No </strong> puedes realizar mas abonos
    </div>';
}
else if ($valor>$resta_abonos) {
     echo '<div class="alert alert-danger alert-dismissable">
    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
    <strong>El Abono </strong> no puede ser mayor a ' . number_format($resta_abonos) .'
    </div>';
}  else {

$regis=mysqli_query($con,"INSERT into pedido_abono_temp (ped_abo_id,ped_abono,forma_pago,medio_pago,pedido_pen_id,tipo_item)
     VALUES  ('$ped_abo_id','$valor','$forma_pago','$medio_pago','$pen_id','no')") or die(mysqli_error($con));

echo '<div class="alert alert-success alert-dismissable">
    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
    <strong>Abono </strong>realizado correctamente.
    </div>';
}
?>